// ANNEXE a la structure du systeme Verdi

// *****************************************************************
// Systeme Biophysique
// *****************************************************************
		
+ I interRow sownIR
	weight = <pr><"tauxOccupation" "q">*<pr><"tauxOccupation" "p">;
	occupationRate = 0.7;
	floatingOccupationRate = 0.;
                        
	+ C grass sownGrass
		grassTypeAttribute = <I><, grassType_fescue>;
		baseTemperature=0.;
		saturationTemperature=18.;
		growthRegulationThreshold = 0.9;
                transpirationRegulationThreshold=0.6;
		nitrogenNutritionIndex=0.3;
	;
	+ C soilSurface soilSurfaceSownIR
		curveNumber=<pi><"TillBareSoilSurface" "curveNumber">;
		curveNumberNaturalCover=<pi><"NaturalGrassSoilSurface" "curveNumber">;
	;
	+ C soilReservoir soilReservoirSownIR
		totalTranspirableSoilWater=95.;
	;
; 
		
+ I cropRow nextToSownCR
	weight = <pr><"tauxOccupation" "q">*(1.-<pr><"tauxOccupation" "p">);
	occupationRate = 0.3;
	+ C grapevine grapevineNextToSown 
		baseTemperature=10;
		saturationTemperature=50;
		sumTempKcMax=600;
		kcMax=0.387;
		transpirationRegulationThreshold=0.4;
	;
	+ C soilSurface soilSurfaceCR1
		curveNumber=94;
	;
; 

+ I interRow bareIR
	weight = (1.-<pr><"tauxOccupation" "q">)*<pr><"tauxOccupation" "p">;
	occupationRate=0.7;
	floatingOccupationRate=0.;
	//+ C grass,
	//;
	+ C soilSurface soilSurfaceBareIR
		curveNumber=<pi><"BareSoilSurface" "curveNumber">;
		curveNumberNaturalCover=<pi><"NaturalGrassSoilSurface" "curveNumber">;
	;
	+ C soilReservoir soilReservoirBareIR,
	;
;
		
+ I cropRow nextToBareCR
	weight = (1.-<pr><"tauxOccupation" "q">)*(1.-<pr><"tauxOccupation" "p">);
	occupationRate=0.3;
	+ C grapevine grapevineNextToBare
		baseTemperature=10.;
		sumTempKcMax=600;
		kcMax=0.3870;
	;
	+ C soilSurface soilSurfaceCR3,
	;
;
              
+ I field leChamp
       
	+ C vegetalCompartment laParcelle
		<- E <I><interRow sownIR>;
		<- E <I><cropRow nextToSownCR>;
		<- E <I><interRow bareIR>;
		<- E <I><cropRow nextToBareCR>;
	;
	+ C soilReservoir soilReservoirField
                totalTranspirableSoilWater = 250.;	
	;
	area = 1.5; // apres la construction de la parcelle (pour moniteur surface)
;

+ I systemeVigneEnherbee leSysteme
	<- C <I><, leChamp>;
	+ C weather laMeteo;
; 


END INCLUDE;
